---

- name: create setenv.sh
  template:
    src: bin/setenv.sh.j2
    dest: "{{ studio.user_home }}/current/bin/setenv.sh"
    owner: "{{ studio_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0750

- name: create config files under {{ studio.user_home }}/current/conf
  template:
    src: "conf/{{ item.src }}"
    dest: "{{ studio.user_home }}/current/conf/{{ item.dest }}"
    owner: "{{ studio_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0640
  loop:
    - { src: 'catalina.properties.j2', dest: 'catalina.properties' }
    - { src: 'context.xml.j2', dest: 'context.xml' }
    - { src: 'server.xml.j2', dest: 'server.xml' }
  notify: restart application

- name: create jmxremote.access and jmxremote.password
  template:
    src: "{{ item }}.j2"
    dest: "{{ studio.user_home }}/{{ item }}"
    owner: "{{ studio_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0640
  loop:
    - jmxremote.access
    - jmxremote.password

- name: create logback.xml
  template:
    src: "logback.xml.j2"
    dest: "{{ studio.user_home }}/logback.xml"
    owner: "{{ studio_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0640

- name: create {{ coremedia_application_name }}.properties
  template:
    src: "{{ coremedia_application_name }}.properties.j2"
    dest: "{{ studio.user_home }}/{{ coremedia_application_name }}.properties"
    owner: "{{ studio_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0640
  notify: restart application

- name: fix permissions for application home directory  # noqa 301
  command: "{{ item }}"
  args:
    warn: false
  with_items:
    - chown -R {{ studio_user }}:{{ coremedia_base_group }} {{ studio.user_home }}
    - find {{ studio.user_home }} -maxdepth 5 -type d ! -perm 0750 -exec chmod 0750 {} \;
    - find {{ studio.user_home }} -maxdepth 5 -type f ! -perm 0640 -exec chmod 0640 {} \;
    - find {{ studio.user_home }} -maxdepth 5 -type f -name "*.sh" ! -perm 0750 -exec chmod 0750 {} \;
